HPE Greenlake For Storage Fleet REST APIs
HPE Greenlake For Storage Fleet REST APIs (1.0.0)
Download OpenAPI description
Overview
License
Languages
Servers
https://eu1.data.cloud.hpe.com/
https://us1.data.cloud.hpe.com/
https://jp1.data.cloud.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-latest/v1/storage-fleet-api/
Bodyapplication/jsonrequired
Field is supported from 10.4.0 and later. Indicates the type of the VMware VASA storage container that would get created in the system. Valid values are NVMe and SCSI.
Example: "SCSI"
Transport type of the NVMe protocol. The value will be either NVMe/FC or NVMe/TCP and the default value is NVMe/FC. This parameter is supported from the system OS version 10.5.0. Transport type will be used to attach or detach a NVMe/TCP or NVMe/FC hosts/host groups from a storage container created with NVMe protocol.
- https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype4-storage-systems/{systemId}/vvolscs
- https://us1.data.cloud.hpe.com/storage-fleet/v1/devtype4-storage-systems/{systemId}/vvolscs
- https://jp1.data.cloud.hpe.com/storage-fleet/v1/devtype4-storage-systems/{systemId}/vvolscs
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-latest/v1/storage-fleet-api/storage-fleet/v1/devtype4-storage-systems/{systemId}/vvolscs
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X POST \
https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype4-storage-systems/7CE751P312/vvolscs \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"name": "<resource_name>"
}'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }
- https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype4-storage-systems/{systemId}/vvolscs/{vvolscId}/attach
- https://us1.data.cloud.hpe.com/storage-fleet/v1/devtype4-storage-systems/{systemId}/vvolscs/{vvolscId}/attach
- https://jp1.data.cloud.hpe.com/storage-fleet/v1/devtype4-storage-systems/{systemId}/vvolscs/{vvolscId}/attach
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-latest/v1/storage-fleet-api/storage-fleet/v1/devtype4-storage-systems/{systemId}/vvolscs/{vvolscId}/attach
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X POST \
https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype4-storage-systems/7CE751P312/vvolscs/d09b59cd7bd07a4e9559e78dcea07498/attach \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{}'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }
- https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype4-storage-systems/{systemId}/vvolscs/{vvolscId}/detach
- https://us1.data.cloud.hpe.com/storage-fleet/v1/devtype4-storage-systems/{systemId}/vvolscs/{vvolscId}/detach
- https://jp1.data.cloud.hpe.com/storage-fleet/v1/devtype4-storage-systems/{systemId}/vvolscs/{vvolscId}/detach
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-latest/v1/storage-fleet-api/storage-fleet/v1/devtype4-storage-systems/{systemId}/vvolscs/{vvolscId}/detach
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X POST \
https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype4-storage-systems/7CE751P312/vvolscs/d09b59cd7bd07a4e9559e78dcea07498/detach \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{}'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }